Bug 1018864 - Wrong XA classname for Sybase JConn jdbc driver
Wrong XA classname for Sybase JConn jdbc driver
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER7
: EAP 6.2.0
Assigned To: Francisco Canas
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 10:38 EDT by Petr Kremensky
Modified: 2014-09-03 00:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:19:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-14 10:38:17 EDT
Description of problem:
 There is wrong XA Classname for Sybase JConn JDBC driver.

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER5

How reproducible:
 Always

Steps to Reproduce:
 1. Run gui installer, use default values until you get to Post-install Configuration screen.
 2. Select to install JDBC driver here.
 3. On JDBC Driver Setup screen choose Sybase JConn as Driver Vendor.

Actual results:
 XA Classname = com.sybase.jconn.jdbc4.jdbc.SybXADataSource

Expected results:
 XA Classname = com.sybase.jdbc4.jdbc.SybXADataSource

Additional info:
 http://pic.dhe.ibm.com/infocenter/wasinfo/v8r0/index.jsp?topic=%2Fcom.ibm.websphere.nd.multiplatform.doc%2Finfo%2Fae%2Fae%2Frdat_minreqsybase.html
Comment 1 Petr Kremensky 2013-10-15 01:41:35 EDT
Same with Oracle:
Expected 
 oracle.jdbc.xa.client.OracleXADataSource
Actual   
 oracle.jdbc.xa.OracleXADataSource
Comment 2 Francisco Canas 2013-10-15 09:43:49 EDT
I've corrected the XA Classname to the expected value as noted above.

See commit for details:
http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=8d06259f846be18a7eedb614ca1c87e0ab136adc
Comment 3 Francisco Canas 2013-10-17 09:27:10 EDT
I noticed during smoke tests last night that the oracle XA Classname mentioned in Comment 1 is not corrected.
Comment 5 Petr Kremensky 2013-11-01 08:59:25 EDT
Verified on EAP 6.2.0.ER7 installer.

Note You need to log in before you can comment on or make changes to this bug.